Bug 136967 - security/seahorse-plugins 2.26.2_1 + GPG = fail
security/seahorse-plugins 2.26.2_1 + GPG = fail
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: gnome
Depends on:
  Show dependency treegraph
Reported: 2009-07-21 19:20 UTC by dokas
Modified: 2009-11-28 20:20 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description dokas 2009-07-21 19:20:04 UTC
After upgrading Gnome to 2.26.3, seahorse's ability to act as a GPG agent has broken.


Unknown.  Presumably there's something broken in seahorse-plugins.  Running this
all through Google doesn't turn up much that is helpful.
When trying to decrypt a properly encrypted file, I get this:

cdward% gpg < foo.pgp

  You need a passphrase to unlock the secret key for
  user: "Paul B. Dokas <dokas@mail.oitsec.umn.edu>"
  3072-bit ELG key, ID 2A0DBC8B, created 2000-05-03 (main key ID ECAB4C20)

  gpg: problem with the agent: Not supported
  gpg: encrypted with 3072-bit ELG key, ID XXXXXXXX, created 20XX-XX-XX
  gpg: encrypted with 3072-bit ELG key, ID 2A0DBC8B, created 2000-05-03
        "Paul B. Dokas <dokas@mail.oitsec.umn.edu>"
  gpg: public key decryption failed: General error
  gpg: decryption failed: No secret key

The socket for the agent definitely exists:

  cdward% env | fgrep GPG

  cdward% ls -al /var/tmp/seahorse-G9bquo/S.gpg-agent 
  srw-------  1 dokas  wheel  0 Jul 21 07:59 /var/tmp/seahorse-G9bquo/S.gpg-agent=

If I `unsetenv GPG_AGENT_INFO`, gpg works fine.
Comment 1 Mark Linimon freebsd_committer 2009-07-21 23:14:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Fix synopsis and assign.
Comment 2 Joe Marcus Clarke freebsd_committer 2009-08-01 20:04:09 UTC
State Changed
From-To: open->suspended

This is a known issue with gpg-2.0.12.  See 
http://groups.google.com/group/mailing.freebsd.ports-bugs/browse_thread/thread/14e0f92d975dfdcf?pli=1 and 
http://bugzilla.gnome.org/show_bug.cgi?id=586855 .  As a workaround, you 
can either downgrade gpg2 to 2.0.10, or rebuild security/gpgme with gpg1 
support.  The latter will allow you to continue using seahorse apps with 
gpg, but the former will be required if you want to use gpg2 with 
Comment 3 Joe Marcus Clarke freebsd_committer 2009-11-28 20:20:35 UTC
State Changed
From-To: suspended->closed

This is believed to be fixed with GNOME 2.28.1.